
#ifndef CONFIG_H
#define CONFIG_H

constexpr size_t kMaxFramesInFlight = 3;

bool deviceSupportsResidencySets(MTL::Device* pDevice);

// Keep in sync with the FrameData struct in sprite_instanced.hlsl
struct FrameData
{
    simd::float4x4 projectionMatrix;
};

#endif // CONFIG_H
